# Contributing to `{name}`

Welcome! We're thrilled that you're interested in contributing to the `{name}` library. Whether you're looking to evangelize, submit feedback, or contribute code, we appreciate your involvement in making `{name}` a better tool for everyone. Here's how you can get started.

## Evangelize

One of the simplest ways to help us out is by spreading the word about {name}. We believe that a bigger, more involved community makes for a better framework, and that better frameworks make the world a better place. If you know people who might benefit from using {name}, please let them know!

## How to Contribute

If you're interested in making a more direct contribution, there are several ways you can help us improve {name}. Here are some guidelines for submitting feedback, bug reports, and code contributions.

### Feedback

Your feedback is incredibly valuable to us, and we're always looking for ways to make {name} better. If you have ideas, suggestions, or questions about {name}, we'd love to hear them. Here's how you can provide feedback:

- Click [here][2] to submit a new feedback.
- Use a descriptive title that clearly summarizes your feedback.
- Provide a detailed description of the issue or suggestion.
- Be patient while we review and respond to your feedback.

### Bug Reports

If you encounter a bug while using {name}, please let us know so we can fix it. Here's how you can submit a bug report:

- Click [here][2] to submit a new issue.
- Use a descriptive title that clearly summarizes the bug.
- Provide a detailed description of the issue, including steps to reproduce it.
- Be patient while we review and respond to your bug report.

### Code Contributions

If you're interested in contributing code to {name}, we're excited to have your help! Here's what you need to know:

#### Feature Requests

If you have an idea for a new feature or improvement, we'd love to hear it. Here's how you can contribute code for a new feature to {name}:

- Fork the repo.
- Clone the {name}[1] repo by running:
  `git clone {repository}`
- Edit files in the `src/` folder. The `src/` folder contains the source code for {name}.
- Submit a pull request, and we'll review and merge your changes if they fit with our vision for {name}.

#### Submitting Code

If you've identified a bug or have a specific code improvement in mind, we welcome your pull requests. Here's how to submit your code changes:

- Fork the repo.
- Clone the {name} repo by running:
  `git clone {repository}`
- Edit files in the `src/` folder. The `src/` folder contains the source code for {name}.
- Submit a pull request, and we'll review and merge your changes if they fit with our vision for {name}.

We hope that this guide has been helpful in explaining how you can contribute to {name}. Thank you for your interest and involvement in our project!

[1]: {repository}
[2]: {repository}/issues/new